summaryrefslogtreecommitdiffstats
path: root/python/python2-sip
diff options
context:
space:
mode:
author Dave Woodfall <dave@dawoodfall.net>2018-07-13 21:26:00 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-07-14 06:55:56 +0700
commit8762d8e9b476d79202e85fa303142ab6c0a7b5f0 (patch)
treea66dd425a4f266c33336d9545a6d4d3a93017b15 /python/python2-sip
parentc26c9c5f7dd19ed2f92aa1ee06cfd461d31d77dc (diff)
downloadslackbuilds-8762d8e9b476d79202e85fa303142ab6c0a7b5f0.tar.gz
slackbuilds-8762d8e9b476d79202e85fa303142ab6c0a7b5f0.tar.xz
python/python2-sip: Added (Tool to generate Python bindings).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python/python2-sip')
-rw-r--r--python/python2-sip/README15
-rw-r--r--python/python2-sip/python2-sip.SlackBuild120
-rw-r--r--python/python2-sip/python2-sip.info10
-rw-r--r--python/python2-sip/slack-desc19
4 files changed, 164 insertions, 0 deletions
diff --git a/python/python2-sip/README b/python/python2-sip/README
new file mode 100644
index 0000000000..8580dd29b5
--- /dev/null
+++ b/python/python2-sip/README
@@ -0,0 +1,15 @@
+SIP is a tool that makes it very easy to create Python bindings for
+C and C++ libraries. It was originally developed to create PyQt,
+the Python bindings for the Qt toolkit, but can be used to create
+bindings for any C or C++ library.
+
+This is an updated version of the stock slackware package. It should not
+interfere with the stock version.
+
+To build against this library in your python2 applications you will need to
+tell your application the binary name and/or include path:
+
+/usr/bin/python2-sip
+/usr/include/python2.7/python2-sip/
+
+To use the module in your python2 projects, it is named python2_sip.
diff --git a/python/python2-sip/python2-sip.SlackBuild b/python/python2-sip/python2-sip.SlackBuild
new file mode 100644
index 0000000000..c8572a2265
--- /dev/null
+++ b/python/python2-sip/python2-sip.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2016 Marcel Saegebarth <marc@mos6581.de>
+# Copyright 2018 Dave Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com>
+# Modified by Eric Hameleers <alien@slackware.com>
+# Adapted by Marcel Saegebarth <marc@mos6581.de>
+# Modified by Dave Woodfall <dave@dawoodfall.net>
+
+PRGNAM=python2-sip
+SRCNAM=sip
+VERSION=${VERSION:-4.19.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
+PYTHONLIB=/usr/lib$LIBDIRSUFFIX/python$PYTHONVER/site-packages
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python configure.py \
+ -b "/usr/bin" \
+ -d "$PYTHONLIB" \
+ -e "/usr/include/python$PYTHONVER" \
+ --sip-module="python2_sip" \
+ -v "/usr/share/sip-$VERSION" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS"
+
+make
+make install DESTDIR=$PKG
+
+mv $PKG/usr/bin/sip $PKG/usr/bin/python2-sip
+
+mkdir -p $PKG/usr/include/python$PYTHONVER/python2-sip
+
+mv $PKG/usr/include/python$PYTHONVER/sip.h \
+ $PKG/usr/include/python$PYTHONVER/python2-sip/sip.h \
+
+for oldf in sipdistutils.py sip.pyi sipconfig.py
+do
+ mv $PKG/usr/lib$LIBDIRSUFFIX/python$PYTHONVER/site-packages/$oldf \
+ $PKG/usr/lib$LIBDIRSUFFIX/python$PYTHONVER/site-packages/python2_$oldf
+done
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE* NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/python2-sip/python2-sip.info b/python/python2-sip/python2-sip.info
new file mode 100644
index 0000000000..f5e038066d
--- /dev/null
+++ b/python/python2-sip/python2-sip.info
@@ -0,0 +1,10 @@
+PRGNAM="python2-sip"
+VERSION="4.19.6"
+HOMEPAGE="http://www.riverbankcomputing.com/software/sip/intro/"
+DOWNLOAD="https://downloads.sourceforge.net/project/pyqt/sip/sip-4.19.6/sip-4.19.6.tar.gz"
+MD5SUM="6be5cb2c43915ed450a9f74ec110dada"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dave Woodfall"
+EMAIL="dave@dawoodfall.net"
diff --git a/python/python2-sip/slack-desc b/python/python2-sip/slack-desc
new file mode 100644
index 0000000000..63174564c9
--- /dev/null
+++ b/python/python2-sip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python2-sip: python2-sip (Tool to generate Python bindings)
+python2-sip:
+python2-sip: SIP is a tool that makes it very easy to create Python bindings for
+python2-sip: C and C++ libraries. It was originally developed to create PyQt,
+python2-sip: the Python bindings for the Qt toolkit, but can be used to create
+python2-sip: bindings for any C or C++ library.
+python2-sip:
+python2-sip: This is an updated version of the stock slackware package.
+python2-sip:
+python2-sip: Homepage: http://www.riverbankcomputing.com/software/sip/intro/
+python2-sip: